## org.apache.sling.jmx.provider.impl
Class JMXResourceProvider

    java.lang.Object
      org.apache.sling.jmx.provider.impl.JMXResourceProvider

All Implemented Interfaces:
  org.apache.sling.api.resource.ResourceProvider

    @Service(value=org.apache.sling.api.resource.ResourceProvider.class)
    @Properties(value={@Property(name="provider.roots",value="/system/sling/monitoring/mbeans",label="Root",description="The mount point of the JMX beans"),@Property(name="provider.useResourceAccessSecurity",boolValue=true,propertyPrivate=true),@Property(name="provider.ownsRoots",boolValue=true,propertyPrivate=true)})
    public class JMXResourceProvider

extends Object
implements org.apache.sling.api.resource.ResourceProvider

Nested Class Summary
`static class` `JMXResourceProvider.PathInfo`

Field Summary

Fields inherited from interface org.apache.sling.api.resource.ResourceProvider
`OWNS_ROOTS, RESOURCE_TYPE_SYNTHETIC, ROOTS, SERVICE_NAME, USE_RESOURCE_ACCESS_SECURITY`

Constructor Summary
`JMXResourceProvider()`

Method Summary
`protected void` `activate(Map<String,Object> props)`
`protected void` `deactivate()`
`org.apache.sling.api.resource.Resource` `getResource(org.apache.sling.api.resource.ResourceResolver resourceResolver, javax.servlet.http.HttpServletRequest request, String path)`
`org.apache.sling.api.resource.Resource` `getResource(org.apache.sling.api.resource.ResourceResolver resourceResolver, String path)`
`Iterator<org.apache.sling.api.resource.Resource>` `listChildren(org.apache.sling.api.resource.Resource parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXResourceProvider

    public JMXResourceProvider()

Method Detail

### activate

    @Activate
    protected void activate(Map<String,Object> props)

### deactivate

    @Deactivate
    protected void deactivate()

### getResource

    public org.apache.sling.api.resource.Resource getResource(org.apache.sling.api.resource.ResourceResolver resourceResolver,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              String path)

  Specified by:
    `getResource` in interface `org.apache.sling.api.resource.ResourceProvider`
  See Also:
    `ResourceProvider.getResource(org.apache.sling.api.resource.ResourceResolver, javax.servlet.http.HttpServletRequest, java.lang.String)`

### getResource

    public org.apache.sling.api.resource.Resource getResource(org.apache.sling.api.resource.ResourceResolver resourceResolver,
                                                              String path)

  Specified by:
    `getResource` in interface `org.apache.sling.api.resource.ResourceProvider`
  See Also:
    `ResourceProvider.getResource(org.apache.sling.api.resource.ResourceResolver, java.lang.String)`

### listChildren

    public Iterator<org.apache.sling.api.resource.Resource> listChildren(org.apache.sling.api.resource.Resource parent)

  Specified by:
    `listChildren` in interface `org.apache.sling.api.resource.ResourceProvider`
  See Also:
    `ResourceProvider.listChildren(org.apache.sling.api.resource.Resource)`

Copyright © 2007-2014 The Apache Software Foundation. All Rights Reserved.